ดึงข้อมูลบล็อกตาม URL ลองใช้เลย หรือ ดูตัวอย่าง
ต้องมีการให้สิทธิ์หากบล็อกเป็นแบบส่วนตัว หากบล็อกเป็นแบบสาธารณะ คุณจะเรียกใช้เมธอดนี้ได้โดยไม่ต้องให้สิทธิ์
ส่งคำขอ
คำขอ HTTP
GET https://www.googleapis.com/blogger/v3/blogs/byurl
พารามิเตอร์
| ชื่อพารามิเตอร์ | ค่า | คำอธิบาย |
|---|---|---|
| พารามิเตอร์ที่จำเป็น | ||
url |
string |
URL ของบล็อกที่จะดึงข้อมูล |
เนื้อความของคำขอ
อย่าระบุเนื้อความของคำขอด้วยเมธอดนี้
คำตอบ
หากทำสำเร็จ เมธอดนี้จะแสดงผลทรัพยากร Blogs ในเนื้อหาการตอบกลับ
ตัวอย่าง
หมายเหตุ: ตัวอย่างโค้ดที่มีสำหรับวิธีการนี้ไม่ได้แสดงถึงภาษาโปรแกรมที่รองรับทั้งหมด (ดูรายการภาษาที่รองรับได้ในหน้าไลบรารีของไคลเอ็นต์)
Java
String CODE_BLOG_URL = "http://code.blogger.com/";
// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();
// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
JSON_FACTORY, new LocalServerReceiver(),
Arrays.asList(BloggerScopes.BLOGGER));
// Construct the Blogger API access facade object.Blogge
r blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setA
pplicationName("Blogger-BlogGetByUrl-Snippet/1.0") .setH
ttpRequestInitializer(credential).build(); class="devsite-syntax-c1">// The request action object.GetByU
rl blogGetByUrlAction = blogger.blogs().getByUrl(); class="devsite-syntax-c1">// Configure which blog URL to look up.blogGe
tByUrlAction.setUrl(CODE_BLOG_URL); class="devsite-syntax-c1">// Restrict the result content to just the data we need.blogGe
tByUrlAction.setFields("description,name,posts/totalItems,updated");an> class="devsite-syntax-c1">// This step sends the request to the server.Blog b
log = blogGetByUrlAction.execute(); class="devsite-syntax-c1">// Now we can navigate the response.System
.out.println("Name: " + blog.getName());System
.out.println("Description: " + blog.getDescription());System
.out.println("Post Count: " + blog.getPosts().getTotalItems());System
.out.println("Last Updated: " + blog.getUpdated());
ลองใช้งาน
ใช้โปรแกรมสำรวจ API ด้านล่างเพื่อเรียกใช้เมธอดนี้กับข้อมูลจริงและดูการตอบกลับ